Mailinglist Archive: opensuse-updates (127 mails)

< Previous Next >
openSUSE-SU-2016:1524-1: moderate: Security update for php5
openSUSE Security Update: Security update for php5
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:1524-1
Rating: moderate
References: #977991 #977994 #978827 #978828 #978829 #978830
#980366 #980373 #980375
Cross-References: CVE-2015-4116 CVE-2015-8873 CVE-2015-8874
CVE-2016-4342 CVE-2016-4346 CVE-2016-4537
CVE-2016-4538 CVE-2016-4539 CVE-2016-4540
CVE-2016-4541 CVE-2016-4542 CVE-2016-4543
CVE-2016-4544
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that fixes 13 vulnerabilities is now available.

Description:

This update for php5 fixes the following issues:

Security issues fixed:
- CVE-2016-4346: heap overflow in ext/standard/string.c (bsc#977994)
- CVE-2016-4342: heap corruption in tar/zip/phar parser (bsc#977991)
- CVE-2016-4537, CVE-2016-4538: bcpowmod accepts negative scale causing
heap buffer overflow corrupting _one_ definition (bsc#978827)
- CVE-2016-4539: Malformed input causes segmentation fault in
xml_parse_into_struct() function (bsc#978828)
- CVE-2016-4540, CVE-2016-4541: Out-of-bounds memory read in
zif_grapheme_stripos when given negative offset (bsc#978829)
- CVE-2016-4542, CVE-2016-4543, CVE-2016-4544: Out-of-bounds heap memory
read in exif_read_data() caused by malformed input (bsc#978830)
- CVE-2015-4116: Use-after-free vulnerability in the spl_ptr_heap_insert
function (bsc#980366)
- CVE-2015-8873: Stack consumption vulnerability in Zend/zend_exceptions.c
(bsc#980373)
- CVE-2015-8874: Stack consumption vulnerability in GD (bsc#980375)

This update was imported from the SUSE:SLE-12:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-696=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

apache2-mod_php5-5.5.14-50.1
apache2-mod_php5-debuginfo-5.5.14-50.1
php5-5.5.14-50.1
php5-bcmath-5.5.14-50.1
php5-bcmath-debuginfo-5.5.14-50.1
php5-bz2-5.5.14-50.1
php5-bz2-debuginfo-5.5.14-50.1
php5-calendar-5.5.14-50.1
php5-calendar-debuginfo-5.5.14-50.1
php5-ctype-5.5.14-50.1
php5-ctype-debuginfo-5.5.14-50.1
php5-curl-5.5.14-50.1
php5-curl-debuginfo-5.5.14-50.1
php5-dba-5.5.14-50.1
php5-dba-debuginfo-5.5.14-50.1
php5-debuginfo-5.5.14-50.1
php5-debugsource-5.5.14-50.1
php5-devel-5.5.14-50.1
php5-dom-5.5.14-50.1
php5-dom-debuginfo-5.5.14-50.1
php5-enchant-5.5.14-50.1
php5-enchant-debuginfo-5.5.14-50.1
php5-exif-5.5.14-50.1
php5-exif-debuginfo-5.5.14-50.1
php5-fastcgi-5.5.14-50.1
php5-fastcgi-debuginfo-5.5.14-50.1
php5-fileinfo-5.5.14-50.1
php5-fileinfo-debuginfo-5.5.14-50.1
php5-firebird-5.5.14-50.1
php5-firebird-debuginfo-5.5.14-50.1
php5-fpm-5.5.14-50.1
php5-fpm-debuginfo-5.5.14-50.1
php5-ftp-5.5.14-50.1
php5-ftp-debuginfo-5.5.14-50.1
php5-gd-5.5.14-50.1
php5-gd-debuginfo-5.5.14-50.1
php5-gettext-5.5.14-50.1
php5-gettext-debuginfo-5.5.14-50.1
php5-gmp-5.5.14-50.1
php5-gmp-debuginfo-5.5.14-50.1
php5-iconv-5.5.14-50.1
php5-iconv-debuginfo-5.5.14-50.1
php5-imap-5.5.14-50.1
php5-imap-debuginfo-5.5.14-50.1
php5-intl-5.5.14-50.1
php5-intl-debuginfo-5.5.14-50.1
php5-json-5.5.14-50.1
php5-json-debuginfo-5.5.14-50.1
php5-ldap-5.5.14-50.1
php5-ldap-debuginfo-5.5.14-50.1
php5-mbstring-5.5.14-50.1
php5-mbstring-debuginfo-5.5.14-50.1
php5-mcrypt-5.5.14-50.1
php5-mcrypt-debuginfo-5.5.14-50.1
php5-mssql-5.5.14-50.1
php5-mssql-debuginfo-5.5.14-50.1
php5-mysql-5.5.14-50.1
php5-mysql-debuginfo-5.5.14-50.1
php5-odbc-5.5.14-50.1
php5-odbc-debuginfo-5.5.14-50.1
php5-opcache-5.5.14-50.1
php5-opcache-debuginfo-5.5.14-50.1
php5-openssl-5.5.14-50.1
php5-openssl-debuginfo-5.5.14-50.1
php5-pcntl-5.5.14-50.1
php5-pcntl-debuginfo-5.5.14-50.1
php5-pdo-5.5.14-50.1
php5-pdo-debuginfo-5.5.14-50.1
php5-pgsql-5.5.14-50.1
php5-pgsql-debuginfo-5.5.14-50.1
php5-phar-5.5.14-50.1
php5-phar-debuginfo-5.5.14-50.1
php5-posix-5.5.14-50.1
php5-posix-debuginfo-5.5.14-50.1
php5-pspell-5.5.14-50.1
php5-pspell-debuginfo-5.5.14-50.1
php5-readline-5.5.14-50.1
php5-readline-debuginfo-5.5.14-50.1
php5-shmop-5.5.14-50.1
php5-shmop-debuginfo-5.5.14-50.1
php5-snmp-5.5.14-50.1
php5-snmp-debuginfo-5.5.14-50.1
php5-soap-5.5.14-50.1
php5-soap-debuginfo-5.5.14-50.1
php5-sockets-5.5.14-50.1
php5-sockets-debuginfo-5.5.14-50.1
php5-sqlite-5.5.14-50.1
php5-sqlite-debuginfo-5.5.14-50.1
php5-suhosin-5.5.14-50.1
php5-suhosin-debuginfo-5.5.14-50.1
php5-sysvmsg-5.5.14-50.1
php5-sysvmsg-debuginfo-5.5.14-50.1
php5-sysvsem-5.5.14-50.1
php5-sysvsem-debuginfo-5.5.14-50.1
php5-sysvshm-5.5.14-50.1
php5-sysvshm-debuginfo-5.5.14-50.1
php5-tidy-5.5.14-50.1
php5-tidy-debuginfo-5.5.14-50.1
php5-tokenizer-5.5.14-50.1
php5-tokenizer-debuginfo-5.5.14-50.1
php5-wddx-5.5.14-50.1
php5-wddx-debuginfo-5.5.14-50.1
php5-xmlreader-5.5.14-50.1
php5-xmlreader-debuginfo-5.5.14-50.1
php5-xmlrpc-5.5.14-50.1
php5-xmlrpc-debuginfo-5.5.14-50.1
php5-xmlwriter-5.5.14-50.1
php5-xmlwriter-debuginfo-5.5.14-50.1
php5-xsl-5.5.14-50.1
php5-xsl-debuginfo-5.5.14-50.1
php5-zip-5.5.14-50.1
php5-zip-debuginfo-5.5.14-50.1
php5-zlib-5.5.14-50.1
php5-zlib-debuginfo-5.5.14-50.1

- openSUSE Leap 42.1 (noarch):

php5-pear-5.5.14-50.1


References:

https://www.suse.com/security/cve/CVE-2015-4116.html
https://www.suse.com/security/cve/CVE-2015-8873.html
https://www.suse.com/security/cve/CVE-2015-8874.html
https://www.suse.com/security/cve/CVE-2016-4342.html
https://www.suse.com/security/cve/CVE-2016-4346.html
https://www.suse.com/security/cve/CVE-2016-4537.html
https://www.suse.com/security/cve/CVE-2016-4538.html
https://www.suse.com/security/cve/CVE-2016-4539.html
https://www.suse.com/security/cve/CVE-2016-4540.html
https://www.suse.com/security/cve/CVE-2016-4541.html
https://www.suse.com/security/cve/CVE-2016-4542.html
https://www.suse.com/security/cve/CVE-2016-4543.html
https://www.suse.com/security/cve/CVE-2016-4544.html
https://bugzilla.suse.com/977991
https://bugzilla.suse.com/977994
https://bugzilla.suse.com/978827
https://bugzilla.suse.com/978828
https://bugzilla.suse.com/978829
https://bugzilla.suse.com/978830
https://bugzilla.suse.com/980366
https://bugzilla.suse.com/980373
https://bugzilla.suse.com/980375


< Previous Next >
This Thread
  • No further messages